Bug 7087 - /etc/rc.d/init.d/mdadm некорректно проверяет содержимое /etc/mdadm.conf
: /etc/rc.d/init.d/mdadm некорректно проверяет содержимое /etc/mdadm.conf
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mdadm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-06-14 17:54 by
Modified: 2007-04-21 16:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-14 17:54:27
/etc/rc.d/init.d/mdadm, который, как я понял, появился в 1.9.0-alt1, не
выполняет запуск mdadm, т.к.:

$ egrep '^\(MAILADDR\|PROGRAM\) .' /etc/mdadm.conf
$ egrep '^MAILADDR .' /etc/mdadm.conf
MAILADDR root@devel.office
$ grep '^\(MAILADDR\|PROGRAM\) .' /etc/mdadm.conf
MAILADDR root@devel.office

(проверка, приведённая самой первой, - в строке 32 файла
/etc/rc.d/init.d/mdadm)

Похоже, что этот инитскрипт, взятый из Mandrake, закладывается на egrep,
отличающийся от egrep из ALT и Red Hat / Fedora Core. В FC2 есть
/etc/rc.d/init.d/mdmonitor (BTW, гораздо более релевантное название, чем
/etc/rc.d/init.d/mdadm), и там используется grep. Уже хочу установить
CentOS/WBEL 4 для сравнения...
------- Comment #1 From 2005-06-15 16:33:41 -------
Reassigned to maintainer.
------- Comment #2 From 2005-07-27 22:21:46 -------
Fixed in 1.12.0-alt2 (I hope).